package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 充币表
 * </p>
 *
 * @author chenqi
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user_recharge")
@ApiModel(value="UserRecharge对象", description="充币表")
public class UserRecharge implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(name = "id", value = "用户主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(name = "userId", value = "会员id")
    private Integer userId;

    @ApiModelProperty(name = "currencyId", value = "币种id")
    private Integer currencyId;

    @ApiModelProperty(name = "name", value = "币种名称")
    private String name;

    @ApiModelProperty(name = "type", value = "0 ERC20")
    private Integer type;

    @ApiModelProperty(name = "receiveAddr", value = "转入地址")
    private String receiveAddr;

    @ApiModelProperty(name = "fromAddr", value = "转出地址")
    private String fromAddr;

    @ApiModelProperty(name = "amount", value = "转入金额")
    private BigDecimal amount;

    @ApiModelProperty(name = "hash", value = "交易hash地址")
    private String hash;

    @ApiModelProperty(name = "detail", value = "详细信息")
    private String detail;

    @ApiModelProperty(name = "payer", value = "打款人姓名")
    private String payer;

    @ApiModelProperty(name = "bankName", value = "收款银行")
    private String bankName;

    @ApiModelProperty(name = "bankRealName", value = "收款人")
    private String bankRealName;

    @ApiModelProperty(name = "bankCard", value = "收款卡号")
    private String bankCard;

    @ApiModelProperty(name = "method", value = "打款方式")
    private String method;

    @ApiModelProperty(name = "operate", value = "审核人")
    private String operate;

    @ApiModelProperty(name = "operateAt", value = "审核时间")
    private Date operateAt;

    @ApiModelProperty(name = "note", value = "备注")
    private String note;

    @ApiModelProperty(name = "status", value = "状态 0 待处理 1 充值成功 2 充值失败")
    private Integer status;

    private Date createdAt;

    private Date updatedAt;


}
